■更新履歴

    STEP_K による変更点は step_k_hisotry.txt を参照して下さい。

    Version 2.02      2001/12/17(月)
        《以下、KbMediaPlayer の作者の Kobarin さんの改良を正式に組み込み》
        ・OggVorbis RC2 に対応
        ・KbMedia Player 2.20 以降に対応

    Version 2.01      2001/12/17(月)
        ・ID3v2 への変換が100%エラーになるバグの修正(ver2.00のバグ)

    Version 2.00      2001/12/16(日)
        ・ＧＰＬを採用(改変、再配布等はＧＰＬに基づいてお願いします)
        ・ID3v2 のタグの処理を mp3infp Ver 2.20 のソースのものを使用するように変更
        ・ID3v2 のトラック番号の文字数を 10 文字まで入力できるように変更
        ・ID3v2 のジャンルで SCMPX の拡張ジャンルに対応
        ・ID3v2 の著作権フィールドの対応(読み書き処理を作ってなかった)
        ・ID3v1.1 タグの空白部分は 0x00 で埋めるように変更(ID3v1.0は0x20で埋める)
        ・WMA では最初のトラックを 0 とするので、STE では +1 した値を表示するようにした
        ・STE の実行ファイルのパスを保存するレジストリの位置を変更
        　(HKEY_CURRENT_USER\Software\MERCURY\SuperTagEditor\ExeFilePath に保存)

        《以下、思兼さんの改良を正式に組み込み》
        ・Monkey's Audio の独自タグ形式に対応(出力時はID3v1.1タグは付加されません)

        《以下、はせたさんの改良を正式に組み込み》
        ・検索・置換ダイアログにアクセスキーを設定
        ・ファイルの種類を変更不可にした
        ・フォルダ参照ダイアログのツリーで常に選択状態を表示するようにした
        ・フォルダ参照ダイアログのチェックボックスにタブキーでフォーカスが移るようにした
        ・表示内容がセルの幅に収まっていないときにゴミ(･)が表示されるのを修正した
        ・BitRate(とSamplingRate)を表示できるようにした ※MP3(CBR)のみ

    Version 2.00β7   2001/04/30(月)
        ・フォルダを開くで *.rmp ファイルが追加されていなくなっていたバグの修正(β6でのバグ)
        ・SIF から ID3tag への変換でトラック番号がクリアされてしまうバグの修正(β6でのバグ)
        ・ID3v2 のジャンルをリストから選択できるように変更
        ・環境設定ダイアログの RIFF MP3/ID3v2 関連の項目を調整
        ・ID3v2 への自動変換に対応([環境設定]-[RIFF MP3/ID3v2]にて設定)

    Version 2.00β6   2001/04/29(日)
        ・標準 MP3 ⇔ ID3v2 の相互変換に対応
        ・ID3v2 ファイルを扱うライブラリを id3lib から mp3infp のライブラリに変更
        ・ID3v2 のトラックは文字列として扱うように変更
        ・ID3v2 のエンコーダの項目を編集できるようにした(STEでの項目名は『ソフトウェア』)
        ・ID3v2 の著作権の項目を編集できるようにした
        ・表示項目設定の項目名の上下移動で[最大幅]の項目の数値が入れ替わっていなかったバグの修正
        ・β5の修正でユーザー書式の[ファイル名]=>[タグ情報]変換でファイルの拡張子も取得してしまっていたバグの修正
        ・[プレイヤー制御]でその他のプレイヤーに対応(再生のみ可能)

        《以下、KbMediaPlayer の作者の Kobarin さんの改良を正式に組み込み》
        ・多重起動でファイル名を渡したとき、起動済みの STE がファイルを読み込むことができる
        　※この機能は STE を「送る」に登録している場合などに便利です
        ・フォルダの検索・タグ情報取得の処理を中断できるに変更
        ・タグ情報の書き込みを途中で中断できるに変更
        ・[プレイヤー制御]で KbMedia Player に対応
        ・KbMedia Player Version 2.07β4 以降を導入すれば、Media エクスプローラ上で選  択しているファイル・フォルダを STE で開くことが出来る

    Version 2.00β5   2001/04/24(火)
        ・ID3 v2 形式に暫定対応(タグの読み込み、書き換えのみに対応)
        　※ID3 v2 への変換機能や ID3 v2 からの変換には未対応
        ・カラム情報に[ファイルの種類]を追加
        ・デフォルト書式の[ファイル名]→[トラック名]変換で項目が入力されていても常に上書きするように仕様を変更
        ・ユーザー書式の[ファイル名]→[タグ情報]変換で編集中の名前ではなく、現在の実際のファイル名が使用されていたバグを修正
        ・全角文字の置換で大文字／小文字を同一視しているときに一部の文字で誤変換されるバグの修正
        ・ASF/WMV に対応(WMA と同等の扱いになります)
        ・タグ情報からファイル名への変換やリスト出力で SIF 優先で出力していたが、現在表示されている内容を出力するように仕様を変更
        ・リスト出力にバイト単位のサイズを出力する変数 %FILE_SIZE_BYTE% を追加
        ・リスト出力にファイルタイプを出力する変数 %FILE_TYPE% を追加
        ・リスト出力に歌詞ファイルの存在を出力する変数 %EXIST_LYRIC_FILE% を追加
        ・リスト出力に歌詞ファイル名を出力する変数 %LYRIC_FILE_NAME% を追加

    Version 2.00β4   2000/12/27(水)
        ・SIF のジャンルを自由書き込みかリスト選択かを選べるようにした([オプション設定]-[一般(2)])
        ・ファイルのタグ情報の更新に失敗した場合に無反応になるバグの修正
        ・[拡張変換書式] の変数に %GENRE% を追加
        ・"MP3 List" という名称を "Audio List" に変更

    Version 2.00β3   2000/12/12(火)
        ・セルを直接編集する時のカーソルキーの挙動の変更に対応([オプション設定]-[一般(1)])
        ・セルを再編集している時の ESC の挙動の変更に対応([オプション設定]-[一般(1)])
        ・アクティブなセルを左クリックで編集を開始できるようにした
        ・[拡張変換書式] への SIF 項目の追加
        ・SIF のジャンルの読み込みが出来ていなかったバグの修正
        ・SHIFT を押しながらの行範囲選択処理の挙動がおかしくなることがあるバグの修正
        ・フォルダのドロップ処理のバグを修正
        ・セル内容の変更時(ペーストなど)に行末の半角スペースを除去するようにした

    Version 2.00β2   2000/12/06(水)
        ・フォントの指定に対応([オプション設定]-[フォント設定...])
        ・タグ情報更新時の進捗表示処理を追加
        ・SIF や WMA の場合はジャンル名に任意の文字列の書き込みに対応
        ・WMP7 で取得したジャンル名を取得できていなかったバグの修正

    Version 2.00β1   2000/11/24(金)
        ・WMA(*.wma) に対応
        ・Monkey's Audio(*.ape) に対応

    Version 1.17      2000/11/22(水)
        ・「フォルダ構成で分類」の場合は開いたフォルダもツリーに作成するようにした
        ・表示項目設定で１番上の項目を「下へ」移動できないバグの修正
        ・[ファイルを削除]後、[分類表示を更新]で削除したファイルの残骸が出るバグの修正
        ・[タグ情報を更新]でファイルが無い場合のエラーメッセージ表示を追加
        ・一部の半角文字で誤置換を行うバグの修正
        ・その他、細かいバグ修正

    Version 1.16      2000/10/12(木)
        ・マウスのドラッグ操作での行の範囲選択に対応
        ・[ツリー構成でプレイリスト出力]でファイル名に使用できない文字を置換するように修正
        ・最大カラム幅の保存／復元に対応(忘れてました(^^;)
        ・最大カラム幅を 0 にした場合は、最大幅を無制限として扱うように変更
        ・リスト出力：ボディ部にファイル作成日を表す変数 %FILE_CTIME% を追加

    Version 1.15      2000/10/08(日)
        ・自動カラム調整時の最大カラム幅の設定に対応
        ・ツリー構成でファイルを分けてプレイリストを出力する機能を追加

    Version 1.14      2000/10/06(金)
        ・ID3tag の削除機能の追加
        ・ID3tag で未定義のジャンル番号(148〜247)に対応
        ・[オプション設定]-[一般]-[一般(1)]に[MP3 List 部分にはファイル名を表示しない]を追加
        ・[オプション設定]-[一般]-[一般(1)]に[ファイル読み込み時にチェック状態にする]を追加
        ・[全て置換]が正しく動作していなかったバグの修正
        ・文字変換機能の[単語の１文字目のみ大文字]の修正
        ・ソートキーを３つから５つに増やした
        ・表示項目設定でファイル名を非表示にした場合に、ファイル名を変更できなくなる旨の警告メッセージを表示するようにした

    Version 1.13      2000/10/03(火)
        ・[フォルダ構成の同期]で移動後のフォルダ名の最後が . になっている場合にファイルが消失する問題に対応
        　(フォルダ名の最後の '.' を取り除くように変更)
        ・リスト出力の %FILE_COUNT% で１から番号を振るように変更(以前は０からだった)
        ・リスト出力の %PATH_NAME% が正しく出力されないバグの修正

    Version 1.12      2000/09/15(金)
        ・項目の無い行を右クリックするとアプリケーションエラーで落ちるバグの修正
        ・本来の歌詞ファイルの拡張子(*.lrc)に対応
        ・単語の先頭を大文字に変換する機能で ' の後が大文字にならないように修正
        ・リスト出力：ボディ部に以下の変数を追加
        　%FILE_NUMBER%………ファイル番号
        　%PLAY_PATH%…………相対パス優先のパス付きファイル名
        ・リスト出力：フッタ部に以下の変数を追加
        　%FILE_COUNT% ………ファイル総数
        　%TOTAL_TIME% ………"分:秒" 形式の総合演奏時間
        　%TOTAL_TIME2%………"時:分:秒" 形式の総合演奏時間
        　%TOTAL_SIZE% ………合計ファイルサイズ

    Version 1.11      2000/09/07(木)
        ・セルの表示項目に[演奏時間]を追加
        ・セルの表示項目に[歌詞ファイル]を追加(歌詞ファイルが存在するかどうかの表示)
        ・リスト出力：変数に SIF に該当する変数を追加
        ・リスト出力：変数の総フレーム数が FLAMES になっていたので FRAMES に修正
        ・リスト出力：HTML出力用に空の項目には全角スペースを出力する機能を追加
        ・リスト出力：既存のファイルへのリストの追加出力に対応
          ※ファイル選択ダイアログで[上書きの場合はファイルの最後に追加出力する]にチェックする
        ・フォルダ名の最後の文字が一部の２バイト文字だった場合に、正しくファイルの検索が行われないバグの修正
        ・キーボードでもポップアップメニューを開くようにした
        ・SIF の自動更新で ID3tag の文字数に収まる項目のみを更新するモードを追加([オプション]-[一般]-[一般])
        ・ファイル読み込み時にデフォルトでファイルがチェックされた状態にするように変更
        ・ジャンルが未設定(255)の場合のジャンル表示を以下のように変更
    	  ジャンル設定で[Anime(J)/未定義]がチェックされている場合……"Anime(J)"
    	  　　　　　　　[Anime(J)/未定義]がチェックされていない場合…""
        ・ID3tag の文字数を超えるテキストをペーストした場合に文字数を超えている部分も表示されるバグの修正

    Version 1.10a     2000/08/18(金)
        ・Winamp での再生で環境によっては Winamp が不正な処理となる不具合の修正

    Version 1.10      2000/08/17(木)
        ・書式ファイルを使用したファイルリストの出力に対応([オプション]-[上級者]-[リスト出力])
        ・SCMPX での再生に対応([オプション]-[一般]-[プレイヤー])
          ※停止／前の曲／次の曲の制御は不可
        ・SCMPX 互換のジャンルはデフォルトでは使用しないようにした
          ※RIFF MP3 で、ジャンルが設定されていない場合に Anime(J) と記録されてしまう問題への対策
        ・ファイル形式変換で読み取り専用属性が付いているファイルが変換できないバグの修正
          ※通常のファイル更新時と同じ確認ダイアログを表示するようにした

    Version 1.06      2000/08/03(木)
        ・RIFF MP3 のソフトウェアの項目の上書きを、セルが空の場合か、セルの内容が "SuperTagEditor〜" の場合のみ上書きするように修正
          ※他のツールで設定されている場合、上書きして書き換えてしまわない為
        ・リストからファイルを削除後、分類表示を更新するとゴミが残るバグの修正
        ・置換処理の修正("Hi"を"High"に置換すると"Highghghgh…"となっていたバグの修正)

    Version 1.05      2000/07/23(日)
        ・ファイルのダブルクリックでそのファイルを再生するようにした
        ・ユーザー変換書式の [ファイル名]→[タグ情報] の変換精度を向上(うまく変換できない場合があったので)

    Version 1.04      2000/07/20(木)
        ・プレイリストに書き出すファイル名を可能なら相対パスで出力するように変更
        ・ファイル名の文字列置換で置換後の文字に置換前の文字が含まれている場合は置換を行わないように修正
          ※' ' を ' _' などに変換するとフリーズしていたバグへの対応
        ・RIFF MP3 のソフトウェアの項目をタグ情報更新時にも上書き設定するように修正
        ・添付する VBMP3.DLL のバージョンを 1.59 から 1.615 に変更
          ※NT で MP3 ⇔ RIFF MP3 変換後に不正な処理が発生するバグが直る？
        ・ソート中の再描画を禁止した(ちらつき防止の為)

    Version 1.03      2000/06/20(火)
        ・オプション設定の状態によって MP3 ⇔ RIFF MP3 変換後に不正な処理が発生するバグの修正
        ・[オプション設定]-[一般]の[ファイル読み込み時に自動でカラム幅を調整する]を[カラム幅をリアルタイムに調整する]に変更
        ・[フォルダを開く] のフォルダ選択ダイアログに [サブディレクトリを検索] のチェックを追加
        ・ファイル名の[置換]の時に拡張子部分は置換の対象にしないように修正
        ・プレイリストの読み込みでチェックマークが付かないバグの修正

    Version 1.02      2000/06/04(日)
        ・ID3 tag の制限を越える長さの情報が入力されている場合、ファイル更新時に自動的に RIFF MP3 に変換する機能を追加([オプション設定]-[一般])
        ・編集中のファイルでも MP3 ⇔ RIFF MP3 の変換を行えるようにした
        ・前回と同じ設定でリストの多段ソートを行う[並べ替えを再実行]機能を追加
        ・Ｄ＆Ｄでのプレイリストファイルの読み込みに対応
        ・Excel やテキストからの複数行のペーストで、項目の最後に改行コードが残るバグの修正
        ・[フォルダ構成の同期(チェックのみ)]で対象外のフォルダも作成されるバグの修正
        ・[半角→全角]／[全角→半角]変換に[記号のみ]を追加
        ・[半角→全角]変換で "ｳﾞ"→"ヴ" が正しく変換されないバグの修正
        ・フォルダで分類の時に、ファイルを読み込むと Root フォルダの外に読み込まれるバグの修正
        ・フォルダで分類の時に、フォルダを読み込んだ時にトップのフォルダ名のツリーを作成しないように変更

    Version 1.01      2000/06/02(金)
        ・オプション設定ダイアログを 一般/変換/上級者向け/全部 に分けた
        ・オプション設定ダイアログに [初期値に戻す] 機能を追加
        ・デフォルトの分類前／分類済みフォルダの廃止("Root"に統合)
        ・ファイルリストのツリー作成時にフォルダはソートして登録するようにした
        ・[フォルダ構成の同期(チェックのみ)]を追加(チェックされているファイルのみ対象にする)
        ・タイムスタンプの更新日時と一緒に作成日時も変更する機能を追加([オプション設定]-[一般])
        ・HTML ヘルプに[オプション設定について]の記述を追加

    Version 1.00      2000/05/31(水)
        ・[フォルダ構成の同期]機能の追加
          ※STEでのツリー構造を実際のフォルダ構成に反映させる機能
        ・セルの表示項目にファイルのパス名を追加
        ・カラムヘッダのクリックでのソートが正しく行われないことがあるバグの修正
        ・項目の順番を入れ替えていると大文字⇔小文字変換が正しく行われないことがあるバグの修正
        ・ID3tag v1.1 の場合はコメントの空き部分を 0x00 で埋めるように変更
        ・チェックされた状態でソートするとチェックが正しく反映されないバグの修正
        ・終了時の最大化／最小化の状態を次回起動時に復元するように修正

    Version 1.00β5   2000/05/21(日)
        ・オプション設定の一部の設定が正しくレジストリに保存／復元されていなかったバグの修正
        ・歌詞ファイルの検索処理の強化
          (優先順位：MP3と同じフォルダ→指定された歌詞フォルダ→歌詞フォルダのサブフォルダ)
        ・タスクバーを上や左に配置している場合に起動時にウィンドウ位置がズレるバグの修正

    Version 1.00β4   2000/05/20(土)
        ・歌詞ファイルのフォルダ指定に対応([オプション設定]-[歌詞ファイル])
        ・表示するジャンルをユーザーが任意に設定できるようにした([オプション設定]-[ジャンル設定])
        ・ジャンル設定の"255:Anime(J)/未設定"が非チェックの場合、SIFのジャンルには空の文字列を出力するようにした
        ・ファイル読み込み後にカラム幅を自動で調整する機能を追加([オプション設定]-[一般])
        ・選択されているファイルのフルパスをステータスバーに表示するようにした
        ・複数セルのコピー＆ペースト処理のバグ修正
        ・項目を入れ替えている場合に入れ替え前の項目の番号でソートされるバグ修正
        ・メニューのショートカットキーの表示がされなくなっていたバグの修正
        ・[全角→半角]-[数字のみ]でアルファベットも変換されていたバグの修正
        ・[送る]起動の場合、ロングファイルネームに変換して登録するように修正

    Version 1.00β3   2000/05/06(土)
        ・トラック番号に３桁(0〜254まで)入力できるようにした
        ・変換書式の変数にトラック番号を３桁で出力する %TRACK_NUMBER3% を追加
        ・半角⇔全角変換で、数字のみ／アルファベットのみ／カタカナのみを変換する機能を追加
        ・アルファベットの連続を単語とみなして、先頭の１文字だけを大文字に変換する機能を追加
        ・ファイル名欄に対しての各種文字変換は、拡張子部分を無視するようにした

    Version 1.00β2   2000/05/05(金)
        ・セルの表示項目にファイルの更新日を追加
        ・ファイルの更新日を編集／設定できるようにした(タイムスタンプを更新しない設定の場合のみ)
        ・セル内容の全角(かな／カナ)⇔半角変換機能追加
        ・セル内容の大文字⇔小文字変換機能追加
        ・右クリックで開くメニューを状況に応じて切りかえるようにした
        ・拡張変換書式で名称変更すると４つ目以降の項目がリストに表示されなくなるバグの修正

    Version 1.00β1   2000/05/04(木)
        ・ユーザー変換書式よりも自由度の高い拡張版の書式変換機能を追加
          ※連番機能対応、任意(範囲選択)のセルへの書き込み対応、任意文字列設定対応など
        ・ファイルの削除をＡＰＩを使用せずに行うように変更
        ・タイムスタンプを変更しない設定の場合、ファイル形式の変換でもタイムスタンプが更新されないようにした
        ・ファイル名変更での拡張子の自動付加処理の修正("*.mp3"と"*.rpm"を判定するようにした)
        ・「上書き確認ダイアログ」で、ＴＡＢキーによるコントロールの移動順序がバラバラなのを修正

    Version 0.43     2000/04/23(日)
        ・[RIFF MP3 の ID3tag を毎回自動で更新する]機能の追加([オプション設定]-[一般])
        ・ファイル名に使用できない文字の置換後の文字を任意に設定できるようにした
        ・Winamp で別の曲を再生した時に Winamp の曲名表示が更新されない不具合の修正
        ・置換機能で１つのセルに複数の該当文字があった場合に全てを置換するように修正
        ・付属のドキュメント(テキスト)を HTML ヘルプに変更

    Version 0.42     2000/04/21(金)
        ・カラムヘッダをCTRL＋左クリックでその項目のカラム幅を調整するようにした
        ・[全てのカラム幅を調整]機能を追加
        ・タグ情報での分類の場合、分類設定変更後すぐに表示の更新を可能にした
        ・[分類表示を更新]機能を追加(タグ情報での分類の場合のみ使用可)
        ・最後に開いていたフォルダを起動時に自動で開く機能を追加
        ・チェックされているファイルを選択状態にする機能の追加
        ・キー割り当てで [ALT]+[CTRL]+[DEL] の組み合わせは表示しないようにした
        ・ファイルサイズの表示セルを追加

    Version 0.41     2000/04/20(木)
        ・RIFF MP3 で ID3 tag の表示／編集ができなくなっていたバグの修正

    Version 0.40     2000/04/19(水)
        ・タグ情報の表示順を入れ替えた場合の不具合の修正
        ・[検索][置換]機能の追加
        ・[条件を指定してチェック]で、チェックせずに選択状態にする機能を追加
        ・キー割り当ての変更が再起動時まで反映されなくなっていたバグの修正
        ・プレイリスト関連のメニューを[プレイリスト(P)]にまとめた
        ・[プレイリスト(P)]-[全てのファイルをチェックする]機能の追加
        ・[プレイリスト(P)]-[全てのファイルのチェックを外す]機能の追加
        ・[プレイリスト(P)]-[チェック状態を反転する]機能の追加

    Version 0.39     2000/04/17(月)
        ・タグ情報の表示項目の順番の入れ替えがうまく動作していなかったので修正

    Version 0.38     2000/04/17(月)
        ・タグ情報の表示項目の順番の入れ替え、項目毎の表示／非表示設定に対応
        ・各種設定ダイアログを[オプション設定]として１つのダイアログにまとめた

    Version 0.37     2000/04/15(土)
        ・ファイルを STE のリスト上から削除する機能に対応
        ・選択ファイルのチェックを設定／解除する機能をメニュー項目に追加
        ・ファイルを実際に削除(ローカルのファイルはごみ箱に移動)する機能に対応
        ・選択ファイルのタグ情報を変更前の状態に戻す機能に対応
        ・タグ情報の一致する文字列(正規表現可)でチェックマークを付ける機能に対応
        ・ファイル形式変換時等の確認メッセージを[環境設定]で抑制できるようにした
        ・キー割り当て変更ダイアログのデザインを変更してわかりやすくした

    Version 0.36     2000/04/12(水)
        ・プレイリスト出力用のチェックマークの追加
        ・プレイリストの読み込みに対応
        ・プレイヤー(Winamp)で再生中のファイルでもタグ情報の更新やファイル形式の
          変換を行えるようにした(ただし、ファイル名の変更は不可)
        ・ファイル形式の変換中はプログレスバーを表示するようにした
        ・同じファイルをリストに複数登録できてしまうバグの修正
        ・空のフォルダを選んで変換操作を行った場合に不正な処理で落ちるバグの修正

    Version 0.35     2000/04/11(火)
        ・Winampでの複数曲の再生に対応(次の曲、前の曲の制御にも対応)
        ・Winampの制御で[次の曲]／[前の曲]に対応
        ・変換フォーマットを最大３つまで登録して切り替えて使えるようにした
        ・変換フォーマットのボタン入力をちょっと使いやすくした
          (選択文字の置換、カーソル位置への挿入、フォーカスの移動に対応)
        ・ファイル名からタグ情報の変換で書式に%TRACK_NUMBER2%を含んでいる場合に
          動作がおかしいバグの修正
        ・SIフィールド編集モードでもトラック番号を編集できるように変更
        ・[新規作成] を [リストをクリア] に名称変更

    Version 0.34     2000/03/29(水)
        ・ファイル名の変更で同名の.txtファイル(歌詞ファイル)の変更にも対応
        ・読み取り専用属性の付いたファイルの書き換えに対応(確認ダイアログ有り)
        ・プレイリストを上書きしたときに、ファイルサイズが小さくなる場合に
          後ろにゴミが残ってしまうバグの修正
        ・フォルダを１つ選んで[SIフィールドからID3tagに変換]で落ちることがある
          バグの修正
        ・ファイル名変換書式指定文字列をボタンで入力できるようにした
        ・「SIフィールドからID3tagに変換」で更新マークが付かないバグの修正
        ・SI フィールドの最大文字数を 128 文字から 2048 文字に拡大
        ・VBMP3.DLL Ver 1.59 を使用するようにした

    Version 0.33     2000/03/25(土)
        ・選択ファイルのプレイリストファイル(*.m3u)への出力に対応
        ・[拡張子を自動変換する]と「タイムスタンプを変更しない」の設定が正しく
          反映されていなかったバグの修正
        ・RIFF MP3変換で自動でSIフィールドが書き込まれない事があったバグの修正
        ・フォルダを１つ選択してファイル変換を行うと不正な処理となるバグの修正
          (フォルダに含まれるすべてのファイルを変換するようにした)

    Version 0.32     2000/03/24(金)
        ・ツリー形式での分類方法を任意に設定できるようにした(分類設定ダイアログ)
        ・MP3 => RIFF MP3 変換したときに、ジャンル欄が空になっていたバグの修正
        ・MP3 => RIFF MP3 変換しただけだと、SIフィールドの内容が書き込まれて
          いなかったバグの修正
        ・SIフィールドが常に128バイト出力されてゴミが付加されていたバグの修正
        ・ファイルを含まないディレクトリのアイコンが違っていたバグの修正

    Version 0.31     2000/03/22(水)
        ・最大３つのキーまでのソートに対応
        ・新規作成のときにも、ファイルが更新されている場合の確認を行う様にした
        ・ジャンルを変更した場合に変更後の内容が表示されないバグの修正
        ・キーカスタマイズ項目に[並び替え]、[SIフィールドからID3tagに変換]、
          [新規作成]を追加

    Version 0.30     2000/03/22(水)
        ・SI フィールドから ID3 tag への変換機能に対応
        ・MP3⇔RIFF MP3 のファイル形式の変換に対応
        ・RIFF MP3 の ID3 tag v1.0/v1.1 情報の編集に対応
        ・RIFF MP3 のタグ情報(SIフィールド含む)の編集に対応
          ※RIFF MP3 ファイルの操作には VBMP3 ライブラリを使用しています
        ・タグ情報を更新したときにタイムスタンプを更新するかどうかの設定に対応
        ・フォルダ構成によってはソートで内部データが狂うバグの修正(MP3ファイル
          自体への影響は無さそうでしたが…)
        ・ファイル名欄の拡張子を省略した場合の拡張子の自動付加処理の修正
        ・範囲選択して[貼り付け(Ctrl+V)]をした場合の処理を修正
        ・その他、細かいバグの修正(忘れた(^^;)

    Version 0.26b    2000/03/20(月)
        ・「フォルダを開く」で読み込むとフォルダのみしか追加されないバグの修正

    Version 0.26a    2000/03/20(月)
        ・ファイル１つだけ開いた場合に不正な処理で落ちるバグを修正

    Version 0.26     2000/03/19(日)
        ・ファイル検索／タグ情報読み込み時に進行状況を表示するようにした
        ・Winamp での再生／停止機能の追加
        ・ポップアップメニューのカタカナを全角文字に変更した

    Version 0.25     2000/03/18(土)
        ・複数行選択に対応(SHIFT/CTRL+左端のセルを選択)
        ・各種変換処理を複数行選択に対応させた
        ・ファイル名の大文字／小文字のみの変更の場合に実際のファイル名に
          変更が反映されていなかったバグの修正

    Version 0.24     2000/03/15(水)
        ・ファイル名で使用できない文字の２バイト文字への変換処理のバグ修正

    Version 0.23     2000/03/15(水)
        ・ファイル名で使用できない文字("*,\:;<>?\)を２バイト文字に変換する
          機能を追加(デフォルト)
        ・一番右側の項目が選択された場合のスクロール処理の挙動を修正
        ・ジャンル欄で文字キーを押した時の不具合を修正
        ・ファイル名の変更チェックを大文字／小文字も区別するようにした
        ・年号入力欄を数値から文字列扱いに変更
        ・環境設定ダイアログのアイコンをツールバーに追加

    Version 0.22     2000/03/03(金)
        ・メニュー操作が出来なくなっていたバグの修正

    Version 0.21     2000/03/03(金)
        ・キーのカスタマイズ機能に対応
        ・[下方向へ連番]機能の追加(トラッグ番号入力支援機能)
        ・トラック番号を常に２桁で出力する %TRACK_NUMBER2% の追加
        ・セルの編集中にスクロールバーのスクロールや最大化が押された場合に対応
        ・コメントに30文字制限が効いていなかったバグの修正

    Version 0.20     2000/02/26(土)
        ・[タグ情報を更新]でファイル名の変更が表示にも反映するようにした
        ・マウスの左ドラッグによる範囲選択に対応
        ・右クリックメニューに[コピー][カット][ペースト][下方向へコピー]を追加
        ・左クリックでのジャンルの選択を[▼]のみしか反応しないようにした
        ・トラック番号とジャンルのソートは数値としてソートするように修正
        ・ジャンルの選択でキャンセルが効いていなかったバグの修正
        ・フォルダ／ファイルのドラッグ＆ドロップに対応(ランチャー／送る起動用)
        ・ジャンルの[DEL]での削除(未設定状態にする)に対応
        ・「項目変更後の[Enter]でカーソルを下に移動させる」を追加(環境設定)
        ・「[Enter]で項目編集開始(非チェック時は下移動)」を追加(環境設定)
        ・アイコンとドキュメントを付けてテスト版から脱却!!

    Version 0.11     2000/02/24(木)
        ・ユーザーが書式を指定しての[ファイル名]-[タグ情報]の変換機能に対応
        ・ペースト処理のバグを修正
        ・トラック番号でゴミ(0)が入力される事があるバグの修正
        ・バージョンアップ時の初回起動時のメッセージ表示を無くした
        ・編集状態のまま終了しようとした時のダイアログで[はい]を選択しても変更が
          保存されていなかったバグの修正

    Version 0.10     2000/02/19(土)
        ・ファイル名の変更に対応
        ・項目の新規入力と編集でのカーソルキーの扱いをExcel互換にした
        ・Shift+TAB/TAB での左右、Shift+Enter/Enter での上下のセルへの移動に対応
        ・項目をマウスの左ダブルクリックで編集開始
        ・右クリックメニューで[ファイル名]⇔[トラック名]の相互変換に対応
        ・セルの幅を保存／復帰するようにした
        ・年号が未入力の場合にタグ情報に'0'が入るバグの修正
        ・[フォルダを開く]で最後に開いたフォルダを保存するようにした
        ・トラック番号の設定に対応(ID3 tag v1.1)

    Version 0.03     2000/02/14(月)
        ・リストビューウィンドウ生成処理修正
        ・実際に項目が変更されたときだけ変更フラグを設定するようにした
        ・カラムヘッダのクリックによるソートに対応
        ・項目入力後のEnterで自動的に下のセルに進むようにした

    Version 0.02     2000/02/12(土)
        ・タグ情報が余計に付加されるバグを修正
        ・タグ情報が無しのファイルに対応

    Version 0.01     2000/02/11(金)
        ・初回公開バージョン

Copyright(C) 2000-2001 MERCURY. All rights reserved.